org.eclipse.microprofile.reactive.streams.operators.tck.spi

## Class DistinctStageVerification.ProcessorVerification

- java.lang.Object
- - org.reactivestreams.tck.WithHelperPublisher<T>
  - - org.reactivestreams.tck.IdentityProcessorVerification<T>
    - - org.eclipse.microprofile.reactive.streams.operators.tck.spi.DistinctStageVerification.ProcessorVerification

All Implemented Interfaces:
  org.reactivestreams.tck.flow.support.PublisherVerificationRules, org.reactivestreams.tck.flow.support.SubscriberWhiteboxVerificationRules

Enclosing class:
  DistinctStageVerification

    public class DistinctStageVerification.ProcessorVerification
    extends org.reactivestreams.tck.IdentityProcessorVerification<T>

### Nested Class Summary

### Nested classes/interfaces inherited from class org.reactivestreams.tck.IdentityProcessorVerification

`org.reactivestreams.tck.IdentityProcessorVerification.ManualSubscriberWithErrorCollection<A>, org.reactivestreams.tck.IdentityProcessorVerification.TestSetup`

### Constructor Summary

Constructors
Constructor and Description
`ProcessorVerification()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Integer` `createElement(int element)`
`org.reactivestreams.Publisher<java.lang.Integer>` `createFailedPublisher()`
`org.reactivestreams.Processor<java.lang.Integer,java.lang.Integer>` `createIdentityProcessor(int bufferSize)`
`long` `maxSupportedSubscribers()`
`java.util.concurrent.ExecutorService` `publisherExecutorService()`

### Methods inherited from class org.reactivestreams.tck.IdentityProcessorVerification

`boundedDepthOfOnNextAndRequestRecursion, createPublisher, createSubscriber, doesCoordinatedEmission, maxElementsFromPublisher, mustImmediatelyPassOnOnErrorEventsReceivedFromItsUpstreamToItsDownstream, notVerified, notVerified, optional_spec104_mustSignalOnErrorWhenFails, optional_spec105_emptyStreamMustTerminateBySignallingOnComplete, optional_spec111_maySupportMultiSubscribe, optional_spec111_multicast_mustProduceTheSameElementsInTheSameSequenceToAllOfItsSubscribersWhenRequestingManyUpfront, optional_spec111_multicast_mustProduceTheSameElementsInTheSameSequenceToAllOfItsSubscribersWhenRequestingManyUpfrontAndCompleteAsExpected, optional_spec111_multicast_mustProduceTheSameElementsInTheSameSequenceToAllOfItsSubscribersWhenRequestingOneByOne, optional_spec111_registeredSubscribersMustReceiveOnNextOrOnCompleteSignals, optional_spec309_requestNegativeNumberMaySignalIllegalArgumentExceptionWithSpecificMessage, optionalMultipleSubscribersTest, required_createPublisher1MustProduceAStreamOfExactly1Element, required_createPublisher3MustProduceAStreamOfExactly3Elements, required_exerciseWhiteboxHappyPath, required_mustRequestFromUpstreamForElementsThatHaveBeenRequestedLongAgo, required_spec101_subscriptionRequestMustResultInTheCorrectNumberOfProducedElements, required_spec102_maySignalLessThanRequestedAndTerminateSubscription, required_spec104_mustCallOnErrorOnAllItsSubscribersIfItEncountersANonRecoverableError, required_spec105_mustSignalOnCompleteWhenFiniteStreamTerminates, required_spec107_mustNotEmitFurtherSignalsOnceOnCompleteHasBeenSignalled, required_spec109_mayRejectCallsToSubscribeIfPublisherIsUnableOrUnwillingToServeThemRejectionMustTriggerOnErrorAfterOnSubscribe, required_spec109_mustIssueOnSubscribeForNonNullSubscriber, required_spec109_subscribeThrowNPEOnNullSubscriber, required_spec201_mustSignalDemandViaSubscriptionRequest, required_spec203_mustNotCallMethodsOnSubscriptionOrPublisherInOnComplete, required_spec203_mustNotCallMethodsOnSubscriptionOrPublisherInOnError, required_spec205_mustCallSubscriptionCancelIfItAlreadyHasAnSubscriptionAndReceivesAnotherOnSubscribeSignal, required_spec208_mustBePreparedToReceiveOnNextSignalsAfterHavingCalledSubscriptionCancel, required_spec209_mustBePreparedToReceiveAnOnCompleteSignalWithoutPrecedingRequestCall, required_spec209_mustBePreparedToReceiveAnOnCompleteSignalWithPrecedingRequestCall, required_spec210_mustBePreparedToReceiveAnOnErrorSignalWithoutPrecedingRequestCall, required_spec210_mustBePreparedToReceiveAnOnErrorSignalWithPrecedingRequestCall, required_spec213_onError_mustThrowNullPointerExceptionWhenParametersAreNull, required_spec213_onNext_mustThrowNullPointerExceptionWhenParametersAreNull, required_spec213_onSubscribe_mustThrowNullPointerExceptionWhenParametersAreNull, required_spec302_mustAllowSynchronousRequestCallsFromOnNextAndOnSubscribe, required_spec303_mustNotAllowUnboundedRecursion, required_spec306_afterSubscriptionIsCancelledRequestMustBeNops, required_spec307_afterSubscriptionIsCancelledAdditionalCancelationsMustBeNops, required_spec308_requestMustRegisterGivenNumberElementsToBeProduced, required_spec309_requestNegativeNumberMustSignalIllegalArgumentException, required_spec309_requestZeroMustSignalIllegalArgumentException, required_spec312_cancelMustMakeThePublisherToEventuallyStopSignaling, required_spec313_cancelMustMakeThePublisherEventuallyDropAllReferencesToTheSubscriber, required_spec317_mustNotSignalOnErrorWhenPendingAboveLongMaxValue, required_spec317_mustSupportACumulativePendingElementCountUpToLongMaxValue, required_spec317_mustSupportAPendingElementCountUpToLongMaxValue, required_validate_boundedDepthOfOnNextAndRequestRecursion, required_validate_maxElementsFromPublisher, setUp, skipStochasticTests, stochastic_spec103_mustSignalOnMethodsSequentially, untested_spec106_mustConsiderSubscriptionCancelledAfterOnErrorOrOnCompleteHasBeenCalled, untested_spec107_mustNotEmitFurtherSignalsOnceOnErrorHasBeenSignalled, untested_spec108_possiblyCanceledSubscriptionShouldNotReceiveOnErrorOrOnCompleteSignals, untested_spec109_subscribeShouldNotThrowNonFatalThrowable, untested_spec110_rejectASubscriptionRequestIfTheSameSubscriberSubscribesTwice, untested_spec202_shouldAsynchronouslyDispatch, untested_spec204_mustConsiderTheSubscriptionAsCancelledInAfterRecievingOnCompleteOrOnError, untested_spec206_mustCallSubscriptionCancelIfItIsNoLongerValid, untested_spec207_mustEnsureAllCallsOnItsSubscriptionTakePlaceFromTheSameThreadOrTakeCareOfSynchronization, untested_spec211_mustMakeSureThatAllCallsOnItsMethodsHappenBeforeTheProcessingOfTheRespectiveEvents, untested_spec212_mustNotCallOnSubscribeMoreThanOnceBasedOnObjectEquality_specViolation, untested_spec213_failingOnSignalInvocation, untested_spec301_mustNotBeCalledOutsideSubscriberContext, untested_spec304_requestShouldNotPerformHeavyComputations, untested_spec305_cancelMustNotSynchronouslyPerformHeavyComputation, untested_spec310_requestMaySynchronouslyCallOnNextOnSubscriber, untested_spec311_requestMaySynchronouslyCallOnCompleteOrOnError, untested_spec314_cancelMayCauseThePublisherToShutdownIfNoOtherSubscriptionExists, untested_spec315_cancelMustNotThrowExceptionAndMustSignalOnError, untested_spec316_requestMustNotThrowExceptionAndMustOnErrorTheSubscriber`

### Methods inherited from class org.reactivestreams.tck.WithHelperPublisher

`createHelperPublisher`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProcessorVerification

    public ProcessorVerification()

### Method Detail

#### createIdentityProcessor

    public org.reactivestreams.Processor<java.lang.Integer,java.lang.Integer> createIdentityProcessor(int bufferSize)

Specified by:
  `createIdentityProcessor` in class `org.reactivestreams.tck.IdentityProcessorVerification<java.lang.Integer>`

#### createFailedPublisher

    public org.reactivestreams.Publisher<java.lang.Integer> createFailedPublisher()

#### createElement

    public java.lang.Integer createElement(int element)

Specified by:
  `createElement` in class `org.reactivestreams.tck.WithHelperPublisher<java.lang.Integer>`

#### publisherExecutorService

    public java.util.concurrent.ExecutorService publisherExecutorService()

Specified by:
  `publisherExecutorService` in class `org.reactivestreams.tck.WithHelperPublisher<T>`

#### maxSupportedSubscribers

    public long maxSupportedSubscribers()

Overrides:
  `maxSupportedSubscribers` in class `org.reactivestreams.tck.IdentityProcessorVerification<T>`